Coworkers

GET /coworkers/{id}

View a specific coworker. Requires users.read permission.

Path parameters

Name Type Required Description
id string yes The unique identifier of the record

Query parameters

Name Type Required Description
fields[] string[] no Select which fields to include in the response. When omitted, all fields are returned. When provided, only the specified fields are included. (e.g., ?fields[]=id&fields[]=firstName) One of: authProvider, email, firstName, id, lastName, mfa, phoneNumber, roles, sites.

Responses

Status Description
200 A json object describing the coworker
403 The requesting user lacks appropriate permissions
404 The coworker was not found

Response 200 body

  • data object · required — When fields[] is not provided, all properties are returned. When fields[] is provided, only the requested properties are included.
{
    "data": {
        "id": "019222d4-1d93-7d47-a3c4-b547e009a0f7",
        "authProvider": "safesites",
        "email": "john.doe@example.com",
        "firstName": "John",
        "lastName": "Doe",
        "mfa": false,
        "phoneNumber": "+46701234567",
        "roles": [
            {
                "id": "01930a94-6a1a-7834-b6c2-4fb5efb0988a",
                "name": "Admin"
            }
        ],
        "sites": [
            {
                "id": "019222d4-1d93-7d47-a3c4-b547e009a0f7",
                "name": "Stockholm Office"
            }
        ]
    }
}